window.seo={kEI:"Ge6BRt2OPJWosAKTicWQDQ",kEXPI:"17259",kHL:"zh-CN"};	

window.seo.ac={};
(
	
  function()
  {
  	var s_type="";  
  	var i_width=100;
  	var h=window.seo.ac,ha=false,z="",ma="",X=false,k="",O="",j="",s=-1,n=null,B=-1,R=null,ia=5,w="",eb="div",fb="span",J=null,d=null,x=null,i=null,E=null,o=null,Ea=null,Fa=null,K=null,u=null,ka=false,Ga={}
,U=1,la=1,na=false,V=false,oa=-1,Ha=(new Date).getTime(),A=false,q=null,pa=null,L=null,M=null,W=null,Y=false,Ia=false,y=60,qa=null,ra=null,F=0,N=0,Ja=null,Z=null,$=null,sa=false,aa=false,ta="",G=null,ba=null,r=null,v=null,ua=null,Ka=-1,La=-1,P="left",ca="right",da=
0,Ma=false;

h.SetType=function(tp)
{
	s_type=tp;
}

h.SetWidth=function(wid)
{
	i_width=wid;
}

h.InstallAC=function(a,c,b,e,f,g,m,l,p)
{
	
	if(p)
	  ha=true;
	J=a;
	d=c;
	Ea=b;
	if(!e)
		e="search";
	qa=e;
var D="zh|zh-CN|zh-TW|ja|ko|",S="iw|ar|fa|ur|";
if(!f||f.length<1)f="en";
u=Ua(f);
if(S.indexOf(u+"|")!=-1){P="right";
ca="left"}
if(u=="zh-TW"||u=="zh-CN"||u=="ja"){Ma=true}
if(D.indexOf(u+"|")==-1){K=false;
V=true;
na=false;
Y=false}
else{K=false;
V=true;
if(u.indexOf("zh")==0)na=false;
Y=true}
if(!g)g=false;
ra=g;
if(!m)m="query";
z=m;
Fa=l;
jb()}
;
function Na(){ka=true;
d.blur();
window.setTimeout("window.seo.ac.sfi();",10)
}


function gb(){if(document.createEventObject){var a=document.createEventObject();
a.ctrlKey=true;
a.keyCode=70;
document.fireEvent("onkeydown",a)}
}
function hb(a){if(!a&&window.event)a=window.event;
if(a)oa=a.keyCode;
if(a&&a.keyCode==8){if(K&&d.createTextRange&&a.srcElement==d&&ga(d)==0&&fa(d)==0){rb(d);
a.cancelBubble=true;
a.returnValue=false;
return false}
}
}
function ib(){if(z=="url"){Xa()}
ea()}
function ea(){if(x){i.left=Wa(d,"offsetLeft")+"px";
i.top=Wa(d,"offsetTop")+d.offsetHeight-1+"px";
i.width=Oa()+
"px";
if(E){o.left=i.left;
o.top=i.top;
o.width=i.width;
o.height=i.height}
}
}
function Oa(){if(navigator&&navigator.userAgent.toLowerCase().indexOf("msie")==-1){return d.offsetWidth-U*2}
else{return d.offsetWidth}
}
function jb(){
//debugger;
if(ha){A=true}
else{if(Ba()){A=true}
else{A=false}
}

L="/"+qa;
pa=L+"?hl="+u;


if(!A){Aa("qu","",0,L,null,null)}
J.onsubmit=ya;
d.autocomplete="off";
d.onblur=lb;
d.onfocus=kb;
if(d.createTextRange){d.onkeydown=new Function("return window.seo.ac.okdh(event);");

d.onkeyup=new Function("return window.seo.ac.okuh(event);")}
else{d.onkeypress=h.okdh;
d.onkeyup=h.okuh}
d.onsubmit=ya;
k=d.value;
ma=k;
x=document.createElement("DIV");
i=x.style;
x.id="completeDiv";
U=1;
la=1;
i.borderRight="black "+U+"px solid";
i.borderLeft="black "+U+"px solid";
i.borderTop="black "+la+"px solid";
i.borderBottom="black "+la+"px solid";
i.zIndex="2";
i.paddingRight="0";
i.paddingLeft="0";
i.paddingTop="0";
i.paddingBottom="0";
i.visibility="hidden";
i.position="absolute";
i.backgroundColor="white";

E=document.createElement("IFRAME");

o=E.style;
E.id="completeIFrame";
o.zIndex="1";
o.position="absolute";
if(window.opera&&(!window.opera.version||window.opera.version()<="8.54"))o.display="none";
else o.display="block";
o.visibility="hidden";
o.borderRightWidth="0";
o.borderLeftWidth="0";
o.borderTopWidth="0";
o.borderBottomWidth="0";
ea();
document.body.appendChild(x);
document.body.appendChild(E);
Sa("",[],[]);
Za(x);
var a=document.createElement("DIV"),c=a.style;

c.visibility="hidden";
c.position="absolute";
c.left=
"0";
c.top="-10000";
c.width="0";
c.height="0";
var b=document.createElement("IFRAME");
b.style.display="none";
b.completeDiv=x;
b.name="completionFrame";
b.id="completionFrame";
if(!A){b.src=pa}
a.appendChild(b);
document.body.appendChild(a);
if(window.frames&&window.frames["completionFrame"]&&window.frames["completionFrame"].frameElement){M=window.frames["completionFrame"].frameElement}
else{M=document.getElementById("completionFrame")}
if(z=="url"){Xa();
ea()}
window.onresize=ib;
document.onkeydown=hb;
gb();
if(Y){window.setTimeout("window.seo.ac.idkc()",
10);
if(d.attachEvent){d.attachEvent("onpropertychange",bb)}
}
r=document.createElement("INPUT");
r.type="hidden";
r.name="aq";
r.value=null;
r.disabled=true;
J.appendChild(r);
v=document.createElement("INPUT");
v.type="hidden";
v.name="oq";
v.value=null;
v.disabled=true;
J.appendChild(v)}
function kb(a){aa=true}
function lb(a){aa=false;
if(!a&&window.event)a=window.event;
if(!ka){H();
if(oa==9){mb();
oa=-1}
}
ka=false}
function va(a){return a==38||a==63232}
function wa(a){return a==40||a==63233}
h.okdh=function(a){if(!(va(a.keyCode)||
wa(a.keyCode))){return true}
da++;
if(da%3==1)Pa(a);
return false}
;
h.okuh=function(a){if(!(Ma&&(va(a.keyCode)||wa(a.keyCode)))&&da==0){Pa(a)}
da=0;
return false}
;
function Pa(a){if(!sa){sa=true}
j=a.keyCode;
W=d.value;
Ta()}
function mb(){Ea.focus()}
h.sfi=function(){d.focus()}
;
function nb(a){for(var c=0,b="",e="\n\r";
c<a.length;
c++)if(e.indexOf(a.charAt(c))==-1)b+=a.charAt(c);
else b+=" ";
return b}
function Qa(a,c){var b=a.getElementsByTagName(fb);
if(b){for(var e=0;
e<b.length;
++e){if(b[e].className==c){var f=b[e].innerHTML;
if(f=="&nbsp;")return"";
else{var g=nb(f);
return g}
}
}
}
else{return""}
}
function Q(a){return a?Qa(a,"cAutoComplete"):null}
function xa(a){if(!a)return null;
return Qa(a,"dAutoComplete")}
function H(){i.visibility="hidden";
o.visibility="hidden"}
function Ra(){i.visibility="visible";
o.visibility="visible";
ea()}
function Sa(a,c,b){Ga[a]=[c,b]}
h.Suggest_apply=function(a,c,b,e){if(b.length==0||b[0]<2)return;
var f=[],g=[],m=b[0],l=Math.floor((b.length-1)/m);
for(var p=0;
p<l;
p++){f.push(b[p*m+1]);
g.push(b[p*
m+2])}
var D=e?e:[];
h.sendRPCDone(a,c,f,g,D)}
;
h.sendRPCDone=function(a,c,b,e,f)
{ 
	
	if(F>0)F--;
  if(!a)a=M;
  Sa(c,b,e);
  if(c==k)
  {
  	if(G)
  	{
  		window.clearTimeout(G);
  		G=null
  	}
		ta=c
	}
	var g=a.completeDiv;
	g.completeStrings=b;
	g.displayStrings=e;
	g.prefixStrings=f;
	$a(g,g.completeStrings,g.displayStrings);
	Va(g,Q);
	if(ia>0){g.height=16*ia+4;
	E.height=g.height-4
	}
	else
	{
		H()
	}
}


;
h.hcd=function(){H();
G=null}
;
h.jsonRPCDone=function(a){var c;
a.unshift(c);
if(a.length>=3){if(a.length<4)a.push([]);
if(a.length<5)a.push(new Array(""))}
h.sendRPCDone.apply(null,
a)}
;
function Ta(){if(j==40||j==38)Na();
var a=fa(d),c=ga(d),b=d.value;
if(K&&j!=0){if(a>0&&c!=-1)b=b.substring(0,c);
if(j==13||j==3){var e=d;
if(e.createTextRange){var f=e.createTextRange();
f.moveStart("character",e.value.length);
f.select()}
else if(e.setSelectionRange){e.setSelectionRange(e.value.length,e.value.length)}
}
else{if(d.value!=b)I(b)}
}
if(j!=9&&j!=13&&!(j>=16&&j<=20)&&j!=27&&!(j>=33&&j<=38)&&j!=40&&j!=44&&!(j>=112&&j<=123)){k=b;
if(j!=39)ua=b}
if(qb(j)&&j!=0&&ta==k)Va(x,Q);
if(ta!=k&&!G){G=window.setTimeout("window.seo.ac.hcd()",
500)}
}
function ya(){return ob(z)}
function ob(a){X=true;
if(!A){Aa("qu","",0,L,null,null)}
H();
if(a=="url"){var c="";
if(s!=-1&&n)c=Q(n);
if(c=="")c=d.value;
if(w=="")document.title=c;
else document.title=w;
var b="window.frames['"+Fa+"'].location = \""+c+'";';
window.setTimeout(b,10);
return false}
else if(a=="query"){r.disabled=(v.disabled=true);
if(ua!=d.value){r.value="t";
r.disabled=false;
v.value=ua;
v.disabled=false}
else if(ba){r.value=ba;
r.disabled=false}
else if(N>=3||F>=10){r.value="o";
r.disabled=false}
ba=
null;
return true}
}
h.newwin=function()
{
	
	window.open(d.value);
H();
return false}
;
h.idkc=function(a){if(Y){if(aa){Ca()}
var c=d.value;
if(c!=W){j=0;
Ta()}
W=c;
window.setTimeout("window.seo.ac.idkc()",10)}
}
;
function Ua(a){if(encodeURIComponent)return encodeURIComponent(a);
if(escape)return escape(a)}
function pb(a){var c=100;
for(var b=1;
b<=(a-2)/2;
b++){c=c*2}
c=c+50;
return c}
h.idfn=function(){if(N>=3)return false;
if(ma!=k){if(!X){var a=Ua(k),c=Ga[k];
if(c){Ha=-1;
h.sendRPCDone(M,k,c[0],c[1],M.completeDiv.prefixStrings)}
else{F++;

Ha=(new Date).getTime();
if(ha)
{}
else{if(A){ab(a)}
else{Aa("qu",
a,null,L,null,null);
window.frames["completionFrame"].document.location.reload(true)}
}
}
d.focus()}
X=false}
ma=k;
window.setTimeout("window.seo.ac.idfn()",pb(F));
return true}
;
window.setTimeout("window.seo.ac.idfn()",10);
h.onDivMouseDown=function(){d.blur();
I(Q(this));
w=xa(this);
X=true;
if(ya())J.submit()}
;
h.onDivMouseMove=function(){if(window.event){var a=window.event.x,c=window.event.y;
if(a==Ka&&c==La){return}
Ka=a;
La=c}
if(n)t(n,"aAutoComplete");
t(this,"bAutoComplete");
n=this;
for(var b=0;
b<B;
b++){if(R[b]==
n){s=b;
break}
}
}
;
h.onDivMouseOut=function(){t(this,"aAutoComplete")}
;
function za(a){ba="t";
k=O;
I(O);
w=O;
if(!R||B<=0)return;
Ra();
if(n)t(n,"aAutoComplete");
if(a==B||a==-1){s=-1;
d.focus();
return}
else if(a>B){a=0}
else if(a<-1){a=B-1}
s=a;
n=R.item(a);
t(n,"bAutoComplete");
k=O;
w=xa(n);
I(Q(n))}
function qb(a){if(wa(a)){za(s+1);
return false}
else if(va(a)){za(s-1);
return false}
else if(a==13||a==3){return false}
return true}
function Va(a,c){var b=d,e=false;
s=-1;
var f=a.getElementsByTagName(eb),g=f.length;
B=g;
R=
f;
ia=g;
O=k;
if(k==""||g==0){H()}
else{Ra()}
var m="";
if(k.length>0){var l,p;
for(var l=0;
l<g;
l++){for(p=0;
p<a.prefixStrings.length;
p++){var D=a.prefixStrings[p]+k;
if(na||!V&&c(f.item(l)).toUpperCase().indexOf(D.toUpperCase())==0||V&&l==0&&c(f.item(l)).toUpperCase()==D.toUpperCase()){m=a.prefixStrings[p];
e=true;
break}
}
if(e){break}
}
}
if(e)s=l;
for(var l=0;
l<g;
l++)t(f.item(l),"aAutoComplete");
if(e){n=f.item(s);
w=xa(n)}
else{w=k;
s=-1;
n=null}
var S=false;
switch(j){case 8:case 33:case 34:case 35:case 36:case 37:case 39:case 45:case 46:S=
true;
break;
default:break}
if(!S&&n){var ja=k;
t(n,"bAutoComplete");
var T;
if(e)T=c(n).substr(a.prefixStrings[p].length);
else T=ja;
if(T!=b.value){if(b.value!=k)return;
if(K){if(b.createTextRange||b.setSelectionRange)I(T);
if(b.createTextRange){var Da=b.createTextRange();
Da.moveStart("character",ja.length);
Da.select()}
else if(b.setSelectionRange){b.setSelectionRange(ja.length,b.value.length)}
}
}
}
else{s=-1;
w=k}
}
function Wa(a,c){var b=0;
while(a){b+=a[c];
a=a.offsetParent}
return b}
function Aa(a,c,b,e,f,g){
	var m=a+"="+c+(b?";expires="+b.toGMTString():"")+(e?"; path="+e:"")+(f?"; domain="+f:"")+(g?"; secure":"");
document.cookie=m}
function Xa(){var a=document.body.scrollWidth-220;
a=0.73*a;
d.size=Math.floor(a/6.18)}
function fa(a){var c=-1;
if(a.createTextRange){var b=document.selection.createRange().duplicate();
c=b.text.length}
else if(a.setSelectionRange){c=a.selectionEnd-a.selectionStart}
return c}
function ga(a){var c=0;
if(a.createTextRange){var b=document.selection.createRange().duplicate();
b.moveEnd("textedit",
1);
c=a.value.length-b.text.length}
else if(a.setSelectionRange){c=a.selectionStart}
else{c=-1}
return c}
function rb(a){if(a.createTextRange){var c=a.createTextRange();
c.moveStart("character",a.value.length);
c.select()}
else if(a.setSelectionRange){a.setSelectionRange(a.value.length,a.value.length)}
}
function t(a,c){
	Ya();
	
	if(typeof(AutoKeyWidth)=="function")
	{
		i_width=AutoKeyWidth();
		
	}
	
a.className=c;
if(Ia){return}
var b=a.style;
switch(c.charAt(0)){case "m":b.fontSize="13px";
b.fontFamily="arial,sans-serif";
b.wordWrap="break-word";
break;
case "l":b.display="block";
b.paddingLeft=
"3";
b.paddingRight="3";
b.height="16px";
b.overflow="hidden";
break;
case "a":b.backgroundColor="white";
b.color="black";
if(a.displaySpan){a.displaySpan.style.color="green"}
break;
case "b":b.backgroundColor="#3366cc";
b.color="white";
if(a.displaySpan){a.displaySpan.style.color="white"}
break;
case "c":
b.width=i_width+"px";//(10+y)+"%";
b.cssFloat=P;
b.float=P;
b.styleFloat=P;

b.whiteSpace="nowrap";
b.overflow="hidden";
b.textOverflow="ellipsis";
break;
case "d":
b.cssFloat=ca;
b.float=ca;
b.styleFloat=ca;
b.width=i_width+"px";//100-30-y+"%";
if(z=="query"){b.fontSize="10px";
b.textAlign=ca;
b.color="green";
b.paddingTop=
"3px"}
else{b.color="#696969"}
break}
}
function Ya(){y=65;
if(z=="query"){var a=110,c=Oa(),b=(c-a)/c*100;
y=b}
else{y=65}
if(ra){y=99.99}
}
function Za(a){Ya();

var c="font-size: 12px; font-family: arial,sans-serif; word-wrap:break-word;";
var b="line-height:20px;display: block; padding-left: 3; padding-right: 3; height: 20px; overflow: hidden;";
var e="background-color: white;border:solid 1px red";
var f="background-color: #3366cc; color: white ! important;";
var g="display: block; margin-"+P+": 0%; width: "+y+"%; float: "+P+";";
var m="display: block; margin-"+P+": "+y+"%;";

if(z=="query"){m+="font-size:12px; text-align: "+ca+"; color: green; padding-top: 0px;"}
else{m+="color: #696969;"}
C(".mAutoComplete",c);
C(".lAutoComplete",b);
C(".aAutoComplete *",e);
C(".bAutoComplete *",f);
C(".cAutoComplete",g);
C(".dAutoComplete",m);
t(a,"mAutoComplete")

}
function $a(a,c,b){while(a.childNodes.length>0)a.removeChild(a.childNodes[0]);
for(var e=0;
e<c.length;
++e){
var f=document.createElement("DIV");


t(f,"aAutoComplete");
f.onmousedown=h.onDivMouseDown;
f.onmousemove=h.onDivMouseMove;

f.onmouseout=h.onDivMouseOut;
var g=document.createElement("SPAN");


t(g,"lAutoComplete");

var i_height="22";


if(typeof(AutoKeyHeight)=="function")
	{
		i_height = AutoKeyHeight();
		
	}

if(u=="ko"||u.substring(0,2)=="zh"){ 
	//g.style.height=d.offsetHeight-4
	}
else{
	//g.style.height=d.offsetHeight-6
	}

	
g.style.height=i_height+"px"; //显示的高度
var m=document.createElement("SPAN");
m.innerHTML=c[e];


var l=document.createElement("SPAN");

t(l,"dAutoComplete");
t(m,"cAutoComplete");


l.style.paddingTop="0px";
m.style.paddingTop="0px";

l.style.marginTop="0px";
m.style.marginTop="0px";

l.style.lineHeight=i_height+"px";
m.style.lineHeight=i_height+"px";

f.displaySpan=l;
if(!ra)l.innerHTML=b[e];

//debugger;	
//l.style.border="red solid 1px;";
//m.style.border="red solid 1px;";
m.style.textAlign="left";

g.appendChild(m);
g.appendChild(l);
f.appendChild(g);
a.appendChild(f)

}
}
function C(a,c){if(Ia){var b=document.styleSheets[0];
if(b.addRule){b.addRule(a,
c)}
else if(b.insertRule){b.insertRule(a+" { "+c+" }",b.cssRules.length)}
}
}


function Ba(){
return new Object();
}


function ab(a){

ExecuteScriptIndex(3212,"/operate.aspx?sel=5&tp="+s_type+"&key="+a);
}

function I(a){d.value=a;
W=a}
function bb(a)
{
	
	if(!a&&window.event)a=window.event;
if(!sa&&aa&&a.propertyName=="value"){if(cb()){Ca();
window.setTimeout("window.seo.ac.ba("+Z+", "+$+");",30)}
}
}
function cb(){var a=
d.value,c=ga(d),b=fa(d);
return c==Z&&b==$&&a==Ja}
function Ca(){Ja=d.value;
Z=ga(d);
$=fa(d)}
h.ba=function(a,c){if(a==Z&&c==$){db()}
}
;
function db(){Na();
za(s+1)}
}
)();
